
export const columns =  [
  {
    title:  window.$t('form.dictionarySortNumber'),
    align: "center",
    width: 80,
    dataIndex: "sortNo",
    slotName: 'sortNo',
  },
  {
    title:  window.$t('form.dictionaryName'),
    dataIndex: "label",
    width: 100,
    slotName: "label"
  },
  {
    title:  window.$t('form.dictionaryValue'),
    dataIndex: "typeId",
    width: 100,
    align: "center",
  },
  {
    title:  window.$t('form.dictionaryType'),
    dataIndex: "typeLabel",
    width: 100,
    align: "center",
  },
  {
    title:   window.$t('form.dictionaryDescription'),
    dataIndex: "description",
    width: 200,
  },
  {
    title:  window.$t('form.updateUser'),
    width: 260,
    dataIndex: "updateUserId",
  },
  {
    title:  window.$t('form.createUser'),
    width: 260,
    dataIndex: "createUserId",
  },
  {
    title:  window.$t('form.createTime'),
    width: 260,
    dataIndex: "createdAt",
  },
  {
    title:  window.$t('form.updateTime'),
    width: 260,
    dataIndex: "updatedAt",
  },
  {
    title:  window.$t('form.Id'),
    dataIndex: "id",
    align: "center",
    width: 180,
    fixed: "right",
    slotName: 'id',
  },
];


export const findConfig = [
  {
    label:   window.$t('form.dictionaryName'),
    key: "name",
    type: 'input',
    placeholder: '请输入名称'
  },
  {
    label:  window.$t('form.dictionaryType'),
    key: "type",
    type: 'select',
    keys: {
      label: 'label',
      key: 'value'
    },
    placeholder: '请选择类型',
    options: [
      {
        label: '类型1',
        value: '1'
      },
      {
        label: '类型2',
        value: '2'
      },
      {
        label: '类型3',
        value: '3'
      }
    ]
  },
]